net.minecraft.entity.ai

## Class EntityAIArrowAttack

- java.lang.Object
- - net.minecraft.entity.ai.EntityAIBase
  - - net.minecraft.entity.ai.EntityAIArrowAttack

-     public class EntityAIArrowAttack
      extends EntityAIBase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityAIArrowAttack(IRangedAttackMob par1IRangedAttackMob, double par2, int par4, float par5)`
    `EntityAIArrowAttack(IRangedAttackMob par1IRangedAttackMob, double par2, int par4, int par5, float par6)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `continueExecuting()` Returns whether an in-progress EntityAIBase should continue executing
    `void` | `resetTask()` Resets the task
    `boolean` | `shouldExecute()` Returns whether the EntityAIBase should begin execution.
    `void` | `updateTask()` Updates the task

    - ### Methods inherited from class net.minecraft.entity.ai.EntityAIBase

      `getMutexBits, isInterruptible, setMutexBits, startExecuting`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityAIArrowAttack

          public EntityAIArrowAttack(IRangedAttackMob par1IRangedAttackMob,
                             double par2,
                             int par4,
                             float par5)

    - #### EntityAIArrowAttack

          public EntityAIArrowAttack(IRangedAttackMob par1IRangedAttackMob,
                             double par2,
                             int par4,
                             int par5,
                             float par6)

  - ### Method Detail

    - #### shouldExecute

          public boolean shouldExecute()

      Returns whether the EntityAIBase should begin execution.
      Specified by:
        `shouldExecute` in class `EntityAIBase`

    - #### continueExecuting

          public boolean continueExecuting()

      Returns whether an in-progress EntityAIBase should continue executing
      Overrides:
        `continueExecuting` in class `EntityAIBase`

    - #### resetTask

          public void resetTask()

      Resets the task
      Overrides:
        `resetTask` in class `EntityAIBase`

    - #### updateTask

          public void updateTask()

      Updates the task
      Overrides:
        `updateTask` in class `EntityAIBase`